import { IMiddleware } from '@midwayjs/core';
import { Middleware } from '@midwayjs/decorator';
import { NextFunction, Context } from '@midwayjs/koa';
import _ = require('lodash');
import { VOBase } from '../util/VOBase';
@Middleware()
export class ResponseMiddleware implements IMiddleware<Context, NextFunction> {
  resolve() {
    return async (ctx: Context, next: NextFunction) => {
      await next();
      const response = ctx.response;
      const body = response.body;
      const nb = new VOBase(body as object);
      return nb;
    };
  }

  static getName(): string {
    return 'response';
  }
}
